GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
weak.h File Reference
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/reaction/weak/weak_types.h"`
`#include "gridfire/reaction/weak/weak_interpolator.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "fourdst/composition/atomicSpecies.h"`
`#include "fourdst/constants/const.h"`
`#include "cppad/cppad.hpp"`
`#include <memory>`
`#include <unordered_map>`
`#include <expected>`
`#include <vector>`
`#include <string>`
`#include <string_view>`
`#include <unordered_set>`

## Classes
class | gridfire::rates::weak::WeakReactionMap
| Index of available weak reactions keyed by species. More...
class | gridfire::rates::weak::WeakReaction
| Concrete Reaction representing a single weak process (beta±, e−/e+ capture). More...
class | gridfire::rates::weak::WeakReaction::AtomicWeakRate
| CppAD atomic that wraps weak-rate interpolation for AD evaluation. More...
struct | gridfire::rates::weak::WeakReaction::constants

## Namespaces
namespace | gridfire
namespace | gridfire::rates
namespace | gridfire::rates::weak

## Macros
#define | GRIDFIRE_WEAK_REACTION_LIB_SENTINEL -60.0

## Macro Definition Documentation

## ◆ GRIDFIRE_WEAK_REACTION_LIB_SENTINEL

#define GRIDFIRE_WEAK_REACTION_LIB_SENTINEL -60.0